> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/file/file.savebase64.md).

# File.saveBase64

> 함수형 API `saveBase64Data`로도 같은 기능을 쓸 수 있어요.

### 기능 설명

Base64로 인코딩된 데이터를 지정한 파일 이름과 MIME 타입으로 사용자 기기에 저장해요. 이미지, 텍스트, PDF 등 다양한 형식을 저장할 수 있어요. `fileName`에는 확장자를 포함해야 해요.

토스앱 Android `5.218.0`, iOS `5.216.0` 이상에서 사용할 수 있어요.

### 타입

```ts
File.saveBase64(params: SaveBase64DataParams): Promise<void>;
```

**Params**

```ts
type SaveBase64DataParams = {
  data: string;
  fileName: string;
  mimeType: string;
};
```

**Response**

반환값이 없어요.

### 예시 코드

```js
import { File } from "@apps-in-toss/web-framework";

async function handleSave() {
  try {
    await File.saveBase64({
      data: "iVBORw0KGgo...",
      fileName: "some-photo.png",
      mimeType: "image/png",
    });
  } catch (error) {
    console.error("데이터 저장에 실패했어요:", error);
  }
}

document.querySelector("#save-file").addEventListener("click", handleSave);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/file/file.savebase64.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
